commit:     812d344ef114d9011d44757a2909ea5f6c00b130
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Mon Jul 24 07:15:43 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jul 30 09:33:58 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=812d344e

dev-python/entrypoints: Version bump to 0.2.3

Package-Manager: Portage-2.3.6, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/5193

 dev-python/entrypoints/Manifest                    |  1 +
 dev-python/entrypoints/entrypoints-0.2.3.ebuild    | 56 ++++++++++++++++++++++
 .../files/entrypoints-0.2.3-setup.py.patch         | 20 ++++++++
 3 files changed, 77 insertions(+)

diff --git a/dev-python/entrypoints/Manifest b/dev-python/entrypoints/Manifest
index 04d735e50c6..eeca0350b0c 100644
--- a/dev-python/entrypoints/Manifest
+++ b/dev-python/entrypoints/Manifest
@@ -1,2 +1,3 @@
 DIST entrypoints-0.2.1.tar.gz 11126 SHA256 
0d6b6798446c2e5e5dd6691e79356c29e82234bdb67995233f57413a11f2ded4 SHA512 
67a24fc53ae8bdac6bda163d2c8057b158979d55ccdbcdb8709966573bf0a999728e04eb92a05fbc2c0d532593de0ec6518bcfed1d5bcf875b00bbd5c48494c7
 WHIRLPOOL 
f673fb42bad930bb1907692013df469d64b9afb77c3e0acca250fb0b14fe17ec3962cb60de2f0760ede40c8f039690851424b816e047669916ff1d73389daaf7
 DIST entrypoints-0.2.2.tar.gz 11162 SHA256 
e54b5df8bb971507278c65df96e6486cf4aea0cdac384d0102ea0339e0a4f82b SHA512 
c987807924f92fd6bc0aab1cccaa4b204587d4f34932c353033ed062fff5adf69bfdc8767f095dda15fff9b57e2be2d205bfa44abc5ad7f7820114e0355a6e99
 WHIRLPOOL 
9d884c8977f8ea49f23f3c8a6b8ac3d48de6e6ff1133f53afe7072e180fd714019c9076b553deae5595d2383a02728412a8536ea26f4a1a56a8d552806054da9
+DIST entrypoints-0.2.3.tar.gz 11219 SHA256 
a628825648fade6fba8dd94cc26e38340ed840fca3e9d5b7b3dbf755b27bbbdd SHA512 
dbf8085652e50cbdbe137ae655ef765cff58bdaa6beefebf1383dcd96dfcbf9c92580c09e9a58de7893aebdd7b2a701ef8d13a56ef0fa9a3d9ef7a5bd1d9b11b
 WHIRLPOOL 
e7915ed78eb77923dfbce5ad8d71e869169ecc9117c2c98fafafb370957874bfb63d39064b41dc17af2d2d51ab426a6865ee65fe04a96a211bc96f6a0979769f

diff --git a/dev-python/entrypoints/entrypoints-0.2.3.ebuild 
b/dev-python/entrypoints/entrypoints-0.2.3.ebuild
new file mode 100644
index 00000000000..2f1065d5e64
--- /dev/null
+++ b/dev-python/entrypoints/entrypoints-0.2.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Discover and load entry points from installed packages"
+HOMEPAGE="https://github.com/takluyver/entrypoints";
+SRC_URI="https://github.com//takluyver/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc test"
+
+DEPEND="
+       $(python_gen_cond_dep 
'>=dev-python/configparser-3.5.0[${PYTHON_USEDEP}]' 'python2*')
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               virtual/python-pathlib[${PYTHON_USEDEP}]
+       )
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       "
+
+PATCHES=(
+       "${FILESDIR}/${P}"-setup.py.patch
+       "${FILESDIR}/${PN}"-0.2.1-init.py.patch
+)
+
+python_prepare_all() {
+       # Prevent un-needed download during build
+       if use doc; then
+               sed -e "/^    'sphinx.ext.intersphinx',/d" -i doc/conf.py || die
+       fi
+
+       distutils-r1_python_prepare_all
+
+       mv "${WORKDIR}/${P}"/entrypoints.py "${WORKDIR}/${P}/${PN}/" || die
+}
+
+python_compile_all() {
+       if use doc; then
+               emake -C doc html
+               HTML_DOCS=( doc/_build/html/. )
+       fi
+}
+
+python_test() {
+       distutils_install_for_testing
+       cd "${TEST_DIR}"/lib || die
+       cp -r "${S}"/tests "${TEST_DIR}"/lib/ || die
+       py.test || die
+}

diff --git a/dev-python/entrypoints/files/entrypoints-0.2.3-setup.py.patch 
b/dev-python/entrypoints/files/entrypoints-0.2.3-setup.py.patch
new file mode 100644
index 00000000000..7ed226b489d
--- /dev/null
+++ b/dev-python/entrypoints/files/entrypoints-0.2.3-setup.py.patch
@@ -0,0 +1,20 @@
+setup.py for entrypoints by Marius Brehler <mar...@linux.sungazer.de>.
+
+Patch by Marius Brehler <marbr...@linux.sungazer.de>.
+--- /dev/null
++++ b/setup.py
+@@ -0,0 +1,13 @@
++from distutils.core import setup
++
++setup(name='entrypoints',
++      version='0.2.3',
++      description='Discover and load entry points from installed packages.',
++      author='Thomas Kluyver',
++      author_email='tho...@kluyver.me.uk',
++      url='https://github.com/takluyver/entrypoints',
++      packages=['entrypoints'],
++      classifiers=[
++          'License :: OSI Approved :: MIT License'
++      ]
++)
+\ No newline at end of file

Reply via email to